Bug 862469 - /etc/init.d/munin-asyncd start gives "munin-asyncd was expected at @@LIBDIR@@/munin-asyncd"
/etc/init.d/munin-asyncd start gives "munin-asyncd was expected at @@LIBDIR@@...
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 22:45 EDT by Robert Sturrock
Modified: 2012-11-28 00:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 00:06:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Sturrock 2012-10-02 22:45:37 EDT
Description of problem:

/etc/init.d/munin-asyncd in the package munin-node-2.0.6-2.el6.noarch contains unexpanded macros that cause script to fail when run:

DAEMON=@@LIBDIR@@/${ASYNC_BIN}
PIDFILE=@@STATEDIR@@/${ASYNC_BIN}.pid


Version-Release number of selected component (if applicable):

munin-node-2.0.6-2.el6.noarch

How reproducible:

[root@rns-test6 rns]# service munin-asyncd start
munin-asyncd was expected at @@LIBDIR@@/munin-asyncd, but was not found. Are you sure Munin is correctly installed?


Expected results:

Should start munin-asyncd

Additional info:

On a related note, I'm not sure why the init script for munin-asyncd is part of the "munin-node" package when munin-asyncd itself is in a separate "munin-async" package.  I'd have thought it would make more sense to have all the async related stuff in the async package?
Comment 1 Fedora Update System 2012-10-07 17:36:00 EDT
munin-2.0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc18
Comment 2 Fedora Update System 2012-10-07 17:48:48 EDT
munin-2.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc17
Comment 3 Fedora Update System 2012-10-07 18:05:18 EDT
munin-2.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.fc16
Comment 4 Fedora Update System 2012-10-07 18:17:52 EDT
munin-2.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.el6
Comment 5 Fedora Update System 2012-10-07 18:26:33 EDT
munin-2.0.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-1.el5
Comment 6 Fedora Update System 2012-10-08 11:26:41 EDT
Package munin-2.0.7-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.7-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13098/munin-2.0.7-1.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-19 23:37:53 EDT
munin-2.0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el5
Comment 8 Fedora Update System 2012-10-19 23:39:12 EDT
munin-2.0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el6
Comment 9 Fedora Update System 2012-11-04 12:20:35 EST
munin-2.0.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el6
Comment 10 Fedora Update System 2012-11-04 12:22:29 EST
munin-2.0.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el5
Comment 11 Fedora Update System 2012-11-11 15:33:57 EST
munin-2.0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el6
Comment 12 Fedora Update System 2012-11-11 15:37:05 EST
munin-2.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el5
Comment 13 Fedora Update System 2012-11-28 00:06:47 EST
munin-2.0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-28 00:10:04 EST
munin-2.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.